@import "./variables.scss";

@mixin display-colums($width) {
    display: flex;
    flex-shrink: 1;
    flex-grow: 1;
    flex-basis: auto;
    flex-wrap: wrap;
    width: $width;
    max-width: $width;
}

.row {
    display: flex;
    flex-direction: row;
    flex-basis: auto;
    flex-grow: 0;
    flex-shrink: 0;
    flex-wrap: wrap;
    width: 100%;
    max-width: 100%;

    *{
        flex-shrink: 0;
        flex-grow: 0;
        flex-basis: auto;    
    }
}

.row-fill-container{
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 100%;
    min-height: 0;
}


.col-1 {
    @include display-colums($col-1);
}
.col-2 {
    @include display-colums($col-2);
}
.col-3 {
    @include display-colums($col-3);
}
.col-4 {
    @include display-colums($col-4);
}
.col-5 {
    @include display-colums($col-5);
}
.col-6 {
    @include display-colums($col-6);
}
.col-7 {
    @include display-colums($col-7);
}
.col-8 {
    @include display-colums($col-8);
}
.col-9 {
    @include display-colums($col-9);
}
.col-10 {
    @include display-colums($col-10);
}
.col-11 {
    @include display-colums($col-11);
}
.col-12 {
    @include display-colums($col-12);
}
.col-13 {
    @include display-colums($col-13);
}
.col-14 {
    @include display-colums($col-14);
}
.col-15 {
    @include display-colums($col-15);
}
.col-16 {
    @include display-colums($col-16);
}
.col-17 {
    @include display-colums($col-17);
}
.col-18 {
    @include display-colums($col-18);
}
.col-19 {
    @include display-colums($col-19);
}
.col-20 {
    @include display-colums($col-20);
}

@media (min-width: 0) {
    .media-xs {
        background-color: rgb(255, 0, 0);
    }

    .display-xs-none {
        display: none !important;
    }
    .col-xs-1 {
        @include display-colums($col-1);
    }
    .col-xs-2 {
        @include display-colums($col-2);
    }
    .col-xs-3 {
        @include display-colums($col-3);
    }
    .col-xs-4 {
        @include display-colums($col-4);
    }
    .col-xs-5 {
        @include display-colums($col-5);
    }
    .col-xs-6 {
        @include display-colums($col-6);
    }
    .col-xs-7 {
        @include display-colums($col-7);
    }
    .col-xs-8 {
        @include display-colums($col-8);
    }
    .col-xs-9 {
        @include display-colums($col-9);
    }
    .col-xs-10 {
        @include display-colums($col-10);
    }
    .col-xs-11 {
        @include display-colums($col-11);
    }
    .col-xs-12 {
        @include display-colums($col-12);
    }
    .col-xs-13 {
        @include display-colums($col-13);
    }
    .col-xs-14 {
        @include display-colums($col-14);
    }
    .col-xs-15 {
        @include display-colums($col-15);
    }
    .col-xs-16 {
        @include display-colums($col-16);
    }
    .col-xs-17 {
        @include display-colums($col-17);
    }
    .col-xs-18 {
        @include display-colums($col-18);
    }
    .col-xs-19 {
        @include display-colums($col-19);
    }
    .col-xs-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-xs-h) {
    .media-xsh {
        background-color: rgb(255, 115, 0);
    }

    .display-xsh-none {
        display: none !important;
    }
    .col-xsh-1 {
        @include display-colums($col-1);
    }
    .col-xsh-2 {
        @include display-colums($col-2);
    }
    .col-xsh-3 {
        @include display-colums($col-3);
    }
    .col-xsh-4 {
        @include display-colums($col-4);
    }
    .col-xsh-5 {
        @include display-colums($col-5);
    }
    .col-xsh-6 {
        @include display-colums($col-6);
    }
    .col-xsh-7 {
        @include display-colums($col-7);
    }
    .col-xsh-8 {
        @include display-colums($col-8);
    }
    .col-xsh-9 {
        @include display-colums($col-9);
    }
    .col-xsh-10 {
        @include display-colums($col-10);
    }
    .col-xsh-11 {
        @include display-colums($col-11);
    }
    .col-xsh-12 {
        @include display-colums($col-12);
    }
    .col-xsh-13 {
        @include display-colums($col-13);
    }
    .col-xsh-14 {
        @include display-colums($col-14);
    }
    .col-xsh-15 {
        @include display-colums($col-15);
    }
    .col-xsh-16 {
        @include display-colums($col-16);
    }
    .col-xsh-17 {
        @include display-colums($col-17);
    }
    .col-xsh-18 {
        @include display-colums($col-18);
    }
    .col-xsh-19 {
        @include display-colums($col-19);
    }
    .col-xsh-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-sm) {
    .media-sm {
        background-color: rgb(255, 174, 0);
    }

    .display-sm-none {
        display: none !important;
    }
    .col-sm-1 {
        @include display-colums($col-1);
    }
    .col-sm-2 {
        @include display-colums($col-2);
    }
    .col-sm-3 {
        @include display-colums($col-3);
    }
    .col-sm-4 {
        @include display-colums($col-4);
    }
    .col-sm-5 {
        @include display-colums($col-5);
    }
    .col-sm-6 {
        @include display-colums($col-6);
    }
    .col-sm-7 {
        @include display-colums($col-7);
    }
    .col-sm-8 {
        @include display-colums($col-8);
    }
    .col-sm-9 {
        @include display-colums($col-9);
    }
    .col-sm-10 {
        @include display-colums($col-10);
    }
    .col-sm-11 {
        @include display-colums($col-11);
    }
    .col-sm-12 {
        @include display-colums($col-12);
    }
    .col-sm-13 {
        @include display-colums($col-13);
    }
    .col-sm-14 {
        @include display-colums($col-14);
    }
    .col-sm-15 {
        @include display-colums($col-15);
    }
    .col-sm-16 {
        @include display-colums($col-16);
    }
    .col-sm-17 {
        @include display-colums($col-17);
    }
    .col-sm-18 {
        @include display-colums($col-18);
    }
    .col-sm-19 {
        @include display-colums($col-19);
    }
    .col-sm-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-sm-h) {
    .media-smh {
        background-color: rgb(255, 230, 0);
    }

    .display-smh-none {
        display: none !important;
    }
    .col-smh-1 {
        @include display-colums($col-1);
    }
    .col-smh-2 {
        @include display-colums($col-2);
    }
    .col-smh-3 {
        @include display-colums($col-3);
    }
    .col-smh-4 {
        @include display-colums($col-4);
    }
    .col-smh-5 {
        @include display-colums($col-5);
    }
    .col-smh-6 {
        @include display-colums($col-6);
    }
    .col-smh-7 {
        @include display-colums($col-7);
    }
    .col-smh-8 {
        @include display-colums($col-8);
    }
    .col-smh-9 {
        @include display-colums($col-9);
    }
    .col-smh-10 {
        @include display-colums($col-10);
    }
    .col-smh-11 {
        @include display-colums($col-11);
    }
    .col-smh-12 {
        @include display-colums($col-12);
    }
    .col-smh-13 {
        @include display-colums($col-13);
    }
    .col-smh-14 {
        @include display-colums($col-14);
    }
    .col-smh-15 {
        @include display-colums($col-15);
    }
    .col-smh-16 {
        @include display-colums($col-16);
    }
    .col-smh-17 {
        @include display-colums($col-17);
    }
    .col-smh-18 {
        @include display-colums($col-18);
    }
    .col-smh-19 {
        @include display-colums($col-19);
    }
    .col-smh-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-md) {
    .media-md {
        background-color: rgb(208, 255, 0);
    }

    .display-md-none {
        display: none !important;
    }
    .col-md-1 {
        @include display-colums($col-1);
    }
    .col-md-2 {
        @include display-colums($col-2);
    }
    .col-md-3 {
        @include display-colums($col-3);
    }
    .col-md-4 {
        @include display-colums($col-4);
    }
    .col-md-5 {
        @include display-colums($col-5);
    }
    .col-md-6 {
        @include display-colums($col-6);
    }
    .col-md-7 {
        @include display-colums($col-7);
    }
    .col-md-8 {
        @include display-colums($col-8);
    }
    .col-md-9 {
        @include display-colums($col-9);
    }
    .col-md-10 {
        @include display-colums($col-10);
    }
    .col-md-11 {
        @include display-colums($col-11);
    }
    .col-md-12 {
        @include display-colums($col-12);
    }
    .col-md-13 {
        @include display-colums($col-13);
    }
    .col-md-14 {
        @include display-colums($col-14);
    }
    .col-md-15 {
        @include display-colums($col-15);
    }
    .col-md-16 {
        @include display-colums($col-16);
    }
    .col-md-17 {
        @include display-colums($col-17);
    }
    .col-md-18 {
        @include display-colums($col-18);
    }
    .col-md-19 {
        @include display-colums($col-19);
    }
    .col-md-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-md-h) {
    .media-mdh {
        background-color: rgb(102, 255, 0);
    }

    .display-mdh-none {
        display: none !important;
    }
    .col-mdh-1 {
        @include display-colums($col-1);
    }
    .col-mdh-2 {
        @include display-colums($col-2);
    }
    .col-mdh-3 {
        @include display-colums($col-3);
    }
    .col-mdh-4 {
        @include display-colums($col-4);
    }
    .col-mdh-5 {
        @include display-colums($col-5);
    }
    .col-mdh-6 {
        @include display-colums($col-6);
    }
    .col-mdh-7 {
        @include display-colums($col-7);
    }
    .col-mdh-8 {
        @include display-colums($col-8);
    }
    .col-mdh-9 {
        @include display-colums($col-9);
    }
    .col-mdh-10 {
        @include display-colums($col-10);
    }
    .col-mdh-11 {
        @include display-colums($col-11);
    }
    .col-mdh-12 {
        @include display-colums($col-12);
    }
    .col-mdh-13 {
        @include display-colums($col-13);
    }
    .col-mdh-14 {
        @include display-colums($col-14);
    }
    .col-mdh-15 {
        @include display-colums($col-15);
    }
    .col-mdh-16 {
        @include display-colums($col-16);
    }
    .col-mdh-17 {
        @include display-colums($col-17);
    }
    .col-mdh-18 {
        @include display-colums($col-18);
    }
    .col-mdh-19 {
        @include display-colums($col-19);
    }
    .col-mdh-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-lg) {
    .media-lg {
        background-color: rgb(0, 255, 149);
    }

    .display-lg-none {
        display: none !important;
    }
    .col-lg-1 {
        @include display-colums($col-1);
    }
    .col-lg-2 {
        @include display-colums($col-2);
    }
    .col-lg-3 {
        @include display-colums($col-3);
    }
    .col-lg-4 {
        @include display-colums($col-4);
    }
    .col-lg-5 {
        @include display-colums($col-5);
    }
    .col-lg-6 {
        @include display-colums($col-6);
    }
    .col-lg-7 {
        @include display-colums($col-7);
    }
    .col-lg-8 {
        @include display-colums($col-8);
    }
    .col-lg-9 {
        @include display-colums($col-9);
    }
    .col-lg-10 {
        @include display-colums($col-10);
    }
    .col-lg-11 {
        @include display-colums($col-11);
    }
    .col-lg-12 {
        @include display-colums($col-12);
    }
    .col-lg-13 {
        @include display-colums($col-13);
    }
    .col-lg-14 {
        @include display-colums($col-14);
    }
    .col-lg-15 {
        @include display-colums($col-15);
    }
    .col-lg-16 {
        @include display-colums($col-16);
    }
    .col-lg-17 {
        @include display-colums($col-17);
    }
    .col-lg-18 {
        @include display-colums($col-18);
    }
    .col-lg-19 {
        @include display-colums($col-19);
    }
    .col-lg-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-lg-h) {
    .media-lgh {
        background-color: rgb(0, 255, 234);
    }

    .display-lgh-none {
        display: none !important;
    }
    .col-lgh-1 {
        @include display-colums($col-1);
    }
    .col-lgh-2 {
        @include display-colums($col-2);
    }
    .col-lgh-3 {
        @include display-colums($col-3);
    }
    .col-lgh-4 {
        @include display-colums($col-4);
    }
    .col-lgh-5 {
        @include display-colums($col-5);
    }
    .col-lgh-6 {
        @include display-colums($col-6);
    }
    .col-lgh-7 {
        @include display-colums($col-7);
    }
    .col-lgh-8 {
        @include display-colums($col-8);
    }
    .col-lgh-9 {
        @include display-colums($col-9);
    }
    .col-lgh-10 {
        @include display-colums($col-10);
    }
    .col-lgh-11 {
        @include display-colums($col-11);
    }
    .col-lgh-12 {
        @include display-colums($col-12);
    }
    .col-lgh-13 {
        @include display-colums($col-13);
    }
    .col-lgh-14 {
        @include display-colums($col-14);
    }
    .col-lgh-15 {
        @include display-colums($col-15);
    }
    .col-lgh-16 {
        @include display-colums($col-16);
    }
    .col-lgh-17 {
        @include display-colums($col-17);
    }
    .col-lgh-18 {
        @include display-colums($col-18);
    }
    .col-lgh-19 {
        @include display-colums($col-19);
    }
    .col-lgh-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-xl) {
    .media-xl {
        background-color: rgb(0, 140, 255);
    }

    .display-xl-none {
        display: none !important;
    }
    .col-xl-1 {
        @include display-colums($col-1);
    }
    .col-xl-2 {
        @include display-colums($col-2);
    }
    .col-xl-3 {
        @include display-colums($col-3);
    }
    .col-xl-4 {
        @include display-colums($col-4);
    }
    .col-xl-5 {
        @include display-colums($col-5);
    }
    .col-xl-6 {
        @include display-colums($col-6);
    }
    .col-xl-7 {
        @include display-colums($col-7);
    }
    .col-xl-8 {
        @include display-colums($col-8);
    }
    .col-xl-9 {
        @include display-colums($col-9);
    }
    .col-xl-10 {
        @include display-colums($col-10);
    }
    .col-xl-11 {
        @include display-colums($col-11);
    }
    .col-xl-12 {
        @include display-colums($col-12);
    }
    .col-xl-13 {
        @include display-colums($col-13);
    }
    .col-xl-14 {
        @include display-colums($col-14);
    }
    .col-xl-15 {
        @include display-colums($col-15);
    }
    .col-xl-16 {
        @include display-colums($col-16);
    }
    .col-xl-17 {
        @include display-colums($col-17);
    }
    .col-xl-18 {
        @include display-colums($col-18);
    }
    .col-xl-19 {
        @include display-colums($col-19);
    }
    .col-xl-20 {
        @include display-colums($col-20);
    }
}

@media (min-width: $view-port-xl-h) {
    .media-xlh {
        background-color: rgb(0, 4, 255);
    }

    .display-xhl-none {
        display: none !important;
    }
    .col-xlh-1 {
        @include display-colums($col-1);
    }
    .col-xlh-2 {
        @include display-colums($col-2);
    }
    .col-xlh-3 {
        @include display-colums($col-3);
    }
    .col-xlh-4 {
        @include display-colums($col-4);
    }
    .col-xlh-5 {
        @include display-colums($col-5);
    }
    .col-xlh-6 {
        @include display-colums($col-6);
    }
    .col-xlh-7 {
        @include display-colums($col-7);
    }
    .col-xlh-8 {
        @include display-colums($col-8);
    }
    .col-xlh-9 {
        @include display-colums($col-9);
    }
    .col-xlh-10 {
        @include display-colums($col-10);
    }
    .col-xlh-11 {
        @include display-colums($col-11);
    }
    .col-xlh-12 {
        @include display-colums($col-12);
    }
    .col-xlh-13 {
        @include display-colums($col-13);
    }
    .col-xlh-14 {
        @include display-colums($col-14);
    }
    .col-xlh-15 {
        @include display-colums($col-15);
    }
    .col-xlh-16 {
        @include display-colums($col-16);
    }
    .col-xlh-17 {
        @include display-colums($col-17);
    }
    .col-xlh-18 {
        @include display-colums($col-18);
    }
    .col-xlh-19 {
        @include display-colums($col-19);
    }
    .col-xlh-20 {
        @include display-colums($col-20);
    }
}
